当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 17 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 我要晕死斑竹了,关于build-essential
帖子发表于 : 2007-12-08 11:22 
头像

注册: 2007-12-05 18:32
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
我在终端上运行那个命令安装这个包build-essential,提示找不到这个包,我那台式没有联网,该如何嗜好啊,到哪里下载,还是那个包在UBUNTU安装ISO文件里面哪里。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-12-08 12:36 

注册: 2007-12-08 12:32
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
同问!!!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-08 12:45 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
1.建议先解决联网问题
2.ISO 要用 AlternateCD的 , Desktop的不行, 使用 sudo apt-cdrom add /media/cdrom 添加


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-12-08 12:46 
头像

注册: 2006-05-03 0:39
帖子: 8273
地址: المريخ
送出感谢: 0 次
接收感谢: 1
DVD版本光盘上不知道有没有这个东西。


LZ具体是怎么操作的?


_________________
PHP是最好的语言!不服来战!


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-12-08 13:06 
头像

注册: 2007-10-23 22:47
帖子: 596
送出感谢: 0 次
接收感谢: 0 次
DVD光盘上有这个包


_________________
捉泥鳅,捉泥鳅
大哥哥带你去捉泥鳅


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-12-09 20:54 
头像

注册: 2007-12-05 18:32
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
我家里没有网,难道就不行吗,我要哭,怎么搞定这个安装包build-essential,我到论坛搜索查找发帖都好多次了,我要狂晕,


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-12-11 0:22 

注册: 2006-10-30 11:23
帖子: 136
送出感谢: 0 次
接收感谢: 0 次
没有网络自己到网吧之类地方直接从源下包吧。
一个不是办法的办法:http://packages.ubuntu.com/gutsy/devel/build-essential,从这里面一层层找够所有的依赖包下载,包你能用。其实你用来编译一般的东西,也就binutils,gcc/g++,make,automake,autoconf,perl足矣。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-12-11 8:53 
头像

注册: 2007-12-05 18:32
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
palxex 写道:
没有网络自己到网吧之类地方直接从源下包吧。
一个不是办法的办法:http://packages.ubuntu.com/gutsy/devel/build-essential,从这里面一层层找够所有的依赖包下载,包你能用。其实你用来编译一般的东西,也就binutils,gcc/g++,make,automake,autoconf,perl足矣。


能不能请这位楼主说的详细一点,你有QQ吗,能加我吗,或者其他哪有详细资料(操作)。


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-12-11 8:56 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
到packages.ubuntu.com去下就是。注意依赖的问题。需要的库,都同时下。估计麻烦。
球猫上次不是说整理了一个脚本?


_________________
● 鸣学


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-12-11 9:28 
头像

注册: 2007-12-05 18:32
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
感觉你们都说的好含糊,去下载就是了,到处英文,另外安装好像并不简单,还需要什么东西才能安装这个包


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-12-11 9:31 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
不是有搜索的。分版本的。仔细看,同时都提示了依赖的包。


_________________
● 鸣学


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-12-11 9:52 
头像

注册: 2007-12-05 18:32
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
怎么看依赖关系,我看这个包build-essential说明上dpkg-dev (>= 1.13.5)、 g++ (>= 4:4.1.1)、 gcc (>= 4:4.1.1)、 libc6-dev、 make这些难道就是依赖的包吗


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-12-11 9:54 
头像

注册: 2007-12-05 18:32
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
那这样dpkg-dev (>= 1.13.5)、 就是说还需要下载dpkg-dev 版本大于等于1.13.5的意思吗,那万一这个包里又需要依赖其他包,那不是就又得去下其他包,这样不是要遍历整个包了,晕。


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2007-12-11 9:58 
头像

注册: 2007-12-05 18:32
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
还有这些包下到linux目录后怎么操作安装啊,直接在终端上运行吗,貌似./***.gz,是这样吗


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2007-12-11 10:38 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
是罗。依赖关系就是这样的。所以,你不如下dvd作源。只是这样版本更新就不好搞。


_________________
● 鸣学


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 17 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译